aboutsummaryrefslogtreecommitdiffstats
path: root/community/ruby-net-ldap/gemspec.patch
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2021-11-29 15:24:32 +0100
committerJakub Jirutka <jakub@jirutka.cz>2021-11-29 15:24:55 +0100
commit7578b960923c049c12846c891c3a92685053b4e2 (patch)
tree9a89be41efd7ce084ee927d61debd812bf3db1f2 /community/ruby-net-ldap/gemspec.patch
parent5cebe8fb7cee11cbb36ef03dd556002727819fe0 (diff)
downloadaports-7578b960923c049c12846c891c3a92685053b4e2.tar.gz
aports-7578b960923c049c12846c891c3a92685053b4e2.tar.bz2
aports-7578b960923c049c12846c891c3a92685053b4e2.tar.xz
community/ruby-net-ldap: upgrade to 0.17.0
Diffstat (limited to 'community/ruby-net-ldap/gemspec.patch')
-rw-r--r--community/ruby-net-ldap/gemspec.patch10
1 files changed, 5 insertions, 5 deletions
diff --git a/community/ruby-net-ldap/gemspec.patch b/community/ruby-net-ldap/gemspec.patch
index 8ace2bf3b7..5af73d4338 100644
--- a/community/ruby-net-ldap/gemspec.patch
+++ b/community/ruby-net-ldap/gemspec.patch
@@ -5,15 +5,15 @@
the most recent LDAP RFCs (4510-4519, plutions of 4520-4532).}
s.email = ["blackhedd@rubyforge.org", "gemiel@gmail.com", "rory.ocon@gmail.com", "kaspar.schiess@absurd.li", "austin@rubyforge.org"]
- s.extra_rdoc_files = ["Contributors.rdoc", "Hacking.rdoc", "History.rdoc", "License.rdoc", "README.rdoc"]
-- s.files = `git ls-files`.split $/
+- s.files = Dir["*.rdoc", "lib/**/*"]
- s.test_files = s.files.grep(%r{^test})
+ s.files = Dir["lib/**/*.rb"]
s.homepage = %q{http://github.com/ruby-ldap/ruby-net-ldap}
s.rdoc_options = ["--main", "README.rdoc"]
s.require_paths = ["lib"]
@@ -33,5 +31,4 @@
- s.add_development_dependency("rake", "~> 10.0")
- s.add_development_dependency("rubocop", "~> 0.42.0")
- s.add_development_dependency("test-unit")
-- s.add_development_dependency("byebug")
+ s.add_development_dependency("rake", "~> 12.3.3")
+ s.add_development_dependency("rubocop", "~> 0.49.0")
+ s.add_development_dependency("test-unit", "~> 3.3")
+- s.add_development_dependency("byebug", "~> 9.0.6") unless RUBY_PLATFORM == "java"
end